upstream web {
  server web:5000;
}

server {
    listen 80;

    client_body_buffer_size 90M;
    client_max_body_size 100M;

    location / {
        proxy_set_header Upgrade $http_upgrade;
        proxy_set_header Connection "upgrade";
        proxy_http_version 1.1;
        proxy_set_header Host $host;
        proxy_pass http://web/;
        proxy_connect_timeout       300;
        proxy_send_timeout          300;
        proxy_read_timeout          300;
        send_timeout                300;
        uwsgi_read_timeout 1800;
        uwsgi_send_timeout 300;
    }
}